import { View, Text, Image } from '@tarojs/components'
import { useEffect, useRef, useState } from 'react'
import dayjs from 'dayjs'
import { Icon } from "@antmjs/vantui";
import Taro from '@tarojs/taro';
// import userBck from '../../assets/userBck.png'
import barcodeimg from '../../assets/barcodeimg.png'


import './style.less'



export default (props) => {

  const [showTime, setShowTime] = useState("")
  const timer = useRef();
  const userId = '320888800110023011';
  useEffect(() => {
    setInterval(() => {
      const times = dayjs(new Date().getTime()).format('YYYY-MM-DD HH:mm:ss');

      setShowTime(times)
    }, 1000)
    return () => {
      clearInterval(timer.current);
    };

  }, [])

  const goUserInfo = () => {

    // 跳转到目的页面，在当前页面打开
    Taro.redirectTo({
      url: '/pages/setUserInfo/index'
    })

  }



  return (
    <View className='index-UserQRcode'>
      {/* <Text>Hello world!</Text> */}
      {/* <View className='index-UserQRcode-headerInfo' style={{ backgroundImage: `url(${userBck})` }}> */}
      <View className='index-UserQRcode-headerInfo' >
        <View className='index-UserQRcode-headerInfo-User'>
          <View className='index-UserQRcode-headerInfo-User-NameInfo'>姓名：鲍张抄</View>
          <View onClick={goUserInfo} className='index-UserQRcode-headerInfo-User-setNameInfo'><Icon name='edit' />修改信息</View>
        </View>
        <View className='index-UserQRcode-headerInfo-UserID'>身份证：{userId.replace(/^(\d{6})\d+(\d{4})$/, "$1******$2")}</View>
      </View>
      <View className='index-UserQRcode-cententQR'>
        <View className='index-UserQRcode-cententQR-Times'>
          {showTime}
        </View>
        <View className='index-UserQRcode-cententQR-Barcode'>
          <Image src={barcodeimg} />
        </View>
      </View>
    </View>
  )
}




